/**************************************
 *   Settings
 *   Copyright 2008, Michael Bertsch
 ***************************************/

document.onreadystatechange = function() {
	if(document.readyState == "complete") {
		setDefaults();
		
		$('reset').onclick = function() {
			$('path').value = shell.SpecialFolders("Appdata") +"\\Microsoft\\Internet Explorer\\Quick Launch";
		}
		$('browse').onclick = function() {
        oFolder = shellApp.BrowseForFolder(0, "Set path containing your shortcuts", 0);
        if (oFolder != null) {
						var objFolderItem = oFolder.self;
						$('path').value = objFolderItem.path;
        }
		}

		$('openFolder').onclick = function() {
			try {
				// Gadget code
				System.Shell.execute("explorer.exe", $('path').value);
			} catch(err) { alert("Error while following Link: " +err.name +" - "+ err.message)}
		}

		try {
			// Gadget code
			System.Gadget.onSettingsClosing = SettingsClosing;
		} catch(err) { alert(err) }	
	}
}

function setDefaults() {
	// Round corners
	if(getSetting('roundCorners', doRoundCorners) == "True") {
		$('roundCorners').checked = true;
	}
	else {
		$('roundCorners').checked = false;
	}
	
	// QuickLaunch path
	$('path').value = getSetting('quickLaunch', quickLaunch);
}


function SettingsClosing(event) {
    if (event.closeAction == event.Action.commit) {
        System.Gadget.Settings.write("roundCorners", $('roundCorners').checked);
        System.Gadget.Settings.write("quickLaunch", $('path').value);
    }

    event.cancel = false;
}