/**************************************
 *   Main app
 *   Copyright 2008, Michael Bertsch
 ***************************************/

var li_height = 22;

document.onreadystatechange = function() {
	if(document.readyState == "complete") {
		try {
			// Gadget code
			System.Gadget.settingsUI = "settings.html";
			System.Gadget.onSettingsClosed = SettingsClosed;
		} catch(err) {}

		init();
	}
}

function init() {
	$('root').innerHTML = FileList(quickLaunch);
	$('root').innerHTML += FolderList(quickLaunch);
	roundCorners();
	setGadgetHeight();
}

function toggleSubmenu(handle, menu) {
	uls = $('root').getElementsByTagName('ul');
	for(i=0;i<uls.length;i++) {
		if(menu != uls[i]) {
 			uls[i].style.display = 'none';
 		}
	}
	
	if(menu.style.display == 'none') {
		menu.style.display = 'block';
	}
	else {
		menu.style.display = 'none';
	}
	if((absTop(menu) + menu.offsetHeight) > parseInt(document.getElementsByTagName('body')[0].style.height)) {
		menu.style.top = parseInt(document.getElementsByTagName('body')[0].style.height) - menu.offsetHeight + "px";
	}
	else {
		menu.style.top = absTop(handle) +"px";
	}
}

function setGadgetHeight() {
	items = $('root').childNodes.length; // root links + dirs
	/*
	uls = $('root').getElementsByTagName('ul');
	for(i=0;i<uls.length;i++) {
 		if(uls[i].style.display == "block") {
 			items = items + uls[i].childNodes.length;
 		}
	}
	*/

	document.getElementsByTagName('body')[0].style.setAttribute("height", li_height*items +"px");
	$('panel').style.setAttribute("height", li_height*items +"px");
}

function FolderList(foldersspec) {
   var f, fc, s;
   f = fso.GetFolder(foldersspec);
   fc = new Enumerator(f.SubFolders);
   s = "";
   for (; !fc.atEnd(); fc.moveNext())
   {
      s += '<li class="cat" onmouseover="toggleSubmenu(this,this.firstChild.nextSibling)" onmouseout="toggleSubmenu(this,this.firstChild.nextSibling)"><a href="">'+ fso.GetBaseName(fc.item()) +'</a><ul style="display:none">';
      s += FileList(fc.item());
      s += '</ul></li>';
   }	
	
	return s;
}

function FileList(folderspec) {
   var f, i, fc, s;
   f = fso.GetFolder(folderspec);
   fc = new Enumerator(f.files);
   s = "";
   for(; !fc.atEnd(); fc.moveNext())
   {
   		// Only use links
   		if(fso.GetExtensionName(fc.item()).toLowerCase() == 'lnk') {
	   		s += "<li>"
	      s += '<a href="#" onclick="FollowLink(\''+ encodeURI(fc.item()) +'\')">';
	      s += '<img class="appicon" src="gimage:///'+ getIconPath(fc.item()) +'?width=16&height=16" />';
	      s += fso.GetBaseName(fc.item()) +'</a>';
	      s += "</li>";
			}
   }
   
   return s;
}

function getIconPath(fpath) {
		oLink = shell.CreateShortcut(fpath);		
		tmpPath = oLink.TargetPath;
 			
      theIconLocation = oLink.iconLocation;
      if((theIconLocation.length >= 2) && (theIconLocation.substr(theIconLocation.length - 2) == ",0")) {
        tmpPath = theIconLocation.substr(0, (theIconLocation.length - 2));
        if(tmpPath == "") {
           tmpPath = oLink.targetPath;
        }
      }

      return tmpPath;
}

function FollowLink(fpath) {
	fpath = decodeURI(fpath);
	if(fso.FileExists(fpath))  {
		try{
			// Gadget code
			System.Shell.execute(fpath);
			event.returnValue = false;
			return false;
		} catch(err) { alert("Error while following Link: " +err.name +" - "+ err.message)}
	}
}


/* Design */
function roundCorners() {
	$('border').innerHTML = "";

	if(doRoundCorners == "True") {
		$('border').innerHTML += "<img src=\"images/borderTopRight.png\" style=\"position:absolute;top:0;right:0;\" />";
		$('border').innerHTML += "<img src=\"images/borderBottomRight.png\" style=\"position:absolute;bottom:0;right:0;\" />";
	}
}


function SettingsClosed(event) {
    // User hits OK on the settings page.
    if (event.closeAction == event.Action.commit)
    {
        doRoundCorners = getSetting('roundCorners', doRoundCorners);
        quickLaunch = getSetting('quickLaunch', quickLaunch);
				init();
    }
    // User hits Cancel on the settings page.
    else if (event.closeAction == event.Action.cancel)
    {
    	
    }
}